// Code to Control Bose Wave Radio II via Arduino by loganemakf

// Based on code from http://www.ladyada.net/learn/sensors/ir.html
// and work done by instructables user randofo
    // http://www.instructables.com/id/Clone-a-Remote-with-Arduino/
// this code is public domain, please enjoy!
 
int IRledPin =  13;    // LED connected to digital pin 13
int switchPin = 8;     // tact switch wired to pin 8
 
// The setup() method runs once, when the sketch starts
 /////////////////////////////////////////////////////////////////////////////
void setup()   {                
  Serial.begin(9600);
  // initialize the IR digital pin as an output:
  pinMode(IRledPin, OUTPUT); 
  pinMode(switchPin, INPUT);
  digitalWrite(switchPin, LOW);  
}
 /////////////////////////////////////////////////////////////////////////////
void loop()                     
{
  
  switch(Serial.read()){
    case 1:
    power();
    break;
    case 2:
    fm();
    break;
    case 3:
    aux();
    break;
    case 4:
    mute();
    break;
    case 5:
    volumeUp();
    break;
    case 6:
    volumeDown();
    break;
    case 7:
    preset1();
    break;
    case 8:
    preset2();
    break;
    case 9:
    preset3();
    break;
    case 10:
    preset4();
    break;
    case 11:
    preset5();
    break;
    case 12:
    preset6();
    break;
    case 13:
    tuneDown();
    break;
    case 14:
    tuneUp();
    break;
    default:
    break;
  }
  
 
 // add commands/control here
 
 //////////// Command Index ///////////////
 // Volume +        -->        volumeUp()
 // Volume -        -->        volumeDown()
 // On/Off          -->        power()
 // FM              -->        fm()
 // AUX             -->        aux()
 // Preset #        -->        preset#()
    // EX: Preset 1     -->    preset1()
 // Tune Up (>)     -->        tuneUp()
 // Tune Down (<)   -->        tuneDown()
 // Mute            -->        mute()
 ///////////////////////////////////////////
 
}
 
// This procedure sends a 38KHz pulse to the IRledPin 
// for a certain # of microseconds. We'll use this whenever we need to send codes
void pulseIR(long microsecs) {
  // we'll count down from the number of microseconds we are told to wait
 
  cli();  // this turns off any background interrupts
 
  while (microsecs > 0) {
    // 38 kHz is about 13 microseconds high and 13 microseconds low
   digitalWrite(IRledPin, HIGH);  // this takes about 3 microseconds to happen
   delayMicroseconds(10);         // hang out for 10 microseconds
   digitalWrite(IRledPin, LOW);   // this also takes about 3 microseconds
   delayMicroseconds(10);         // hang out for 10 microseconds
 
   // so 26 microseconds altogether
   microsecs -= 26;
  }
 
  sei();  // this turns them back on
}
 
void volumeUp() {

  delayMicroseconds(51692);
pulseIR(960);

delayMicroseconds(1440);
pulseIR(480);

delayMicroseconds(1440);
pulseIR(480);

delayMicroseconds(1420);
pulseIR(480);

delayMicroseconds(460);
pulseIR(480);

delayMicroseconds(440);
pulseIR(500);

delayMicroseconds(440);
pulseIR(480);

delayMicroseconds(440);
pulseIR(480);

delayMicroseconds(460);
pulseIR(480);

delayMicroseconds(460);
pulseIR(480);

delayMicroseconds(440);
pulseIR(480);

delayMicroseconds(460);
pulseIR(480);

delayMicroseconds(1420);
pulseIR(480);

delayMicroseconds(1440);
pulseIR(480);

delayMicroseconds(1440);
pulseIR(480);

delayMicroseconds(1420);
pulseIR(480);

delayMicroseconds(1440);
pulseIR(480);

delayMicroseconds(1420);
pulseIR(480);

delay(50);
delayMicroseconds(400);
pulseIR(970);

delayMicroseconds(1440);
pulseIR(480);

delayMicroseconds(1420);
pulseIR(500);

delayMicroseconds(1420);
pulseIR(480);

delayMicroseconds(460);
pulseIR(480);

delayMicroseconds(440);
pulseIR(480);

delayMicroseconds(460);
pulseIR(480);

delayMicroseconds(440);
pulseIR(480);

delayMicroseconds(460);
pulseIR(460);

delayMicroseconds(460);
pulseIR(480);

delayMicroseconds(440);
pulseIR(500);

delayMicroseconds(440);
pulseIR(480);

delayMicroseconds(1440);
pulseIR(480);

delayMicroseconds(1420);
pulseIR(500);

delayMicroseconds(1420);
pulseIR(480);

delayMicroseconds(1440);
pulseIR(480);

delayMicroseconds(1420);
pulseIR(480);

delayMicroseconds(1420);
pulseIR(500); 
 
 ///////
}




void volumeDown() { ///////////////////////////////////////////////////////////
  
delayMicroseconds(47684);
pulseIR(960);

delayMicroseconds(1440);
pulseIR(480);

delayMicroseconds(460);
pulseIR(480);

delayMicroseconds(1440);
pulseIR(480);

delayMicroseconds(440);
pulseIR(480);

delayMicroseconds(460);
pulseIR(480);

delayMicroseconds(440);
pulseIR(480);

delayMicroseconds(480);
pulseIR(440);

delayMicroseconds(460);
pulseIR(480);

delayMicroseconds(460);
pulseIR(480);

delayMicroseconds(1420);
pulseIR(480);

delayMicroseconds(460);
pulseIR(480);

delayMicroseconds(1440);
pulseIR(480);

delayMicroseconds(1420);
pulseIR(480);

delayMicroseconds(1440);
pulseIR(480);

delayMicroseconds(1440);
pulseIR(480);

delayMicroseconds(1420);
pulseIR(480);

delayMicroseconds(1440);
pulseIR(480);

delay(50);
delayMicroseconds(400);
pulseIR(980);

delayMicroseconds(1420);
pulseIR(480);

delayMicroseconds(460);
pulseIR(480);

delayMicroseconds(1420);
pulseIR(500);

delayMicroseconds(440);
pulseIR(480);

delayMicroseconds(440);
pulseIR(500);

delayMicroseconds(440);
pulseIR(480);

delayMicroseconds(480);
pulseIR(460);

delayMicroseconds(440);
pulseIR(480);

delayMicroseconds(440);
pulseIR(480);

delayMicroseconds(1440);
pulseIR(480);

delayMicroseconds(440);
pulseIR(500);

delayMicroseconds(1420);
pulseIR(480);

delayMicroseconds(1440);
pulseIR(480);

delayMicroseconds(1420);
pulseIR(500);

delayMicroseconds(1420);
pulseIR(480);

delayMicroseconds(1440);
pulseIR(480);

delayMicroseconds(1420);
pulseIR(480);
 
 ///////
}

void power(){///////////////////////////////////////////////////////////////
  delayMicroseconds(37320);
pulseIR(960);

delayMicroseconds(1440);
pulseIR(480);

delayMicroseconds(440);
pulseIR(480);

delayMicroseconds(460);
pulseIR(480);

delayMicroseconds(1440);
pulseIR(460);

delayMicroseconds(1440);
pulseIR(480);

delayMicroseconds(460);
pulseIR(460);

delayMicroseconds(460);
pulseIR(460);

delayMicroseconds(1460);
pulseIR(460);

delayMicroseconds(480);
pulseIR(460);

delayMicroseconds(1440);
pulseIR(460);

delayMicroseconds(1460);
pulseIR(460);

delayMicroseconds(480);
pulseIR(460);

delayMicroseconds(460);
pulseIR(460);

delayMicroseconds(1460);
pulseIR(460);

delayMicroseconds(1440);
pulseIR(440);

delayMicroseconds(500);
pulseIR(440);

delayMicroseconds(1460);
pulseIR(440);

delay(50);
delayMicroseconds(400);
pulseIR(980);

delayMicroseconds(1480);
pulseIR(460);

delayMicroseconds(460);
pulseIR(460);

delayMicroseconds(480);
pulseIR(440);

delayMicroseconds(1460);
pulseIR(460);

delayMicroseconds(1460);
pulseIR(460);

delayMicroseconds(460);
pulseIR(480);

delayMicroseconds(460);
pulseIR(460);

delayMicroseconds(1460);
pulseIR(460);

delayMicroseconds(460);
pulseIR(460);

delayMicroseconds(1460);
pulseIR(460);

delayMicroseconds(1440);
pulseIR(480);

delayMicroseconds(460);
pulseIR(460);

delayMicroseconds(460);
pulseIR(480);

delayMicroseconds(1440);
pulseIR(480);

delayMicroseconds(1440);
pulseIR(480);

delayMicroseconds(440);
pulseIR(480);

delayMicroseconds(1420);
pulseIR(480);
}



void fm(){ /////////////////////////////////////////////////////////////////
  delayMicroseconds(18540);
pulseIR(1000);

delayMicroseconds(1400);
pulseIR(520);

delayMicroseconds(420);
pulseIR(500);

delayMicroseconds(420);
pulseIR(520);

delayMicroseconds(420);
pulseIR(520);

delayMicroseconds(400);
pulseIR(520);

delayMicroseconds(420);
pulseIR(500);

delayMicroseconds(1400);
pulseIR(520);

delayMicroseconds(1400);
pulseIR(520);

delayMicroseconds(420);
pulseIR(500);

delayMicroseconds(1400);
pulseIR(520);

delayMicroseconds(1400);
pulseIR(500);

delayMicroseconds(1420);
pulseIR(500);

delayMicroseconds(1400);
pulseIR(520);

delayMicroseconds(1400);
pulseIR(500);

delayMicroseconds(420);
pulseIR(520);

delayMicroseconds(420);
pulseIR(520);

delayMicroseconds(1380);
pulseIR(520);

delayMicroseconds(49440);
pulseIR(980);

delayMicroseconds(1420);
pulseIR(500);

delayMicroseconds(440);
pulseIR(500);

delayMicroseconds(420);
pulseIR(500);

delayMicroseconds(440);
pulseIR(500);

delayMicroseconds(420);
pulseIR(520);

delayMicroseconds(420);
pulseIR(480);

delayMicroseconds(1440);
pulseIR(480);

delayMicroseconds(1420);
pulseIR(520);

delayMicroseconds(420);
pulseIR(500);

delayMicroseconds(1400);
pulseIR(500);

delayMicroseconds(1420);
pulseIR(500);

delayMicroseconds(1420);
pulseIR(480);

delayMicroseconds(1440);
pulseIR(480);

delayMicroseconds(1420);
pulseIR(500);

delayMicroseconds(440);
pulseIR(480);

delayMicroseconds(440);
pulseIR(500);

delayMicroseconds(1400);
pulseIR(500);

delay(50);
delayMicroseconds(400);
pulseIR(980);

delayMicroseconds(1440);
pulseIR(480);

delayMicroseconds(440);
pulseIR(520);

delayMicroseconds(420);
pulseIR(480);

delayMicroseconds(440);
pulseIR(500);

delayMicroseconds(440);
pulseIR(480);

delayMicroseconds(440);
pulseIR(480);

delayMicroseconds(1440);
pulseIR(500);

delayMicroseconds(1420);
pulseIR(480);

delayMicroseconds(440);
pulseIR(500);

delayMicroseconds(1420);
pulseIR(500);

delayMicroseconds(1400);
pulseIR(500);

delayMicroseconds(1420);
pulseIR(480);

delayMicroseconds(1440);
pulseIR(500);

delayMicroseconds(1400);
pulseIR(520);

delayMicroseconds(420);
pulseIR(480);

delayMicroseconds(440);
pulseIR(500);

delayMicroseconds(1420);
pulseIR(500);
}



void aux(){ //////////////////////////////////////////////////////////////////
  delayMicroseconds(25492);
pulseIR(960);

delayMicroseconds(1460);
pulseIR(480);

delayMicroseconds(1420);
pulseIR(480);

delayMicroseconds(1440);
pulseIR(500);

delayMicroseconds(1420);
pulseIR(480);

delayMicroseconds(1420);
pulseIR(480);

delayMicroseconds(460);
pulseIR(480);

delayMicroseconds(440);
pulseIR(480);

delayMicroseconds(460);
pulseIR(480);

delayMicroseconds(440);
pulseIR(500);

delayMicroseconds(440);
pulseIR(500);

delayMicroseconds(420);
pulseIR(500);

delayMicroseconds(440);
pulseIR(480);

delayMicroseconds(440);
pulseIR(500);

delayMicroseconds(1420);
pulseIR(480);

delayMicroseconds(1420);
pulseIR(500);

delayMicroseconds(1420);
pulseIR(500);

delayMicroseconds(1420);
pulseIR(480);

delay(50);
delayMicroseconds(400);
pulseIR(980);

delayMicroseconds(1440);
pulseIR(480);

delayMicroseconds(1420);
pulseIR(500);

delayMicroseconds(1420);
pulseIR(480);

delayMicroseconds(1440);
pulseIR(480);

delayMicroseconds(1440);
pulseIR(480);

delayMicroseconds(440);
pulseIR(480);

delayMicroseconds(460);
pulseIR(480);

delayMicroseconds(440);
pulseIR(500);

delayMicroseconds(440);
pulseIR(480);

delayMicroseconds(440);
pulseIR(480);

delayMicroseconds(460);
pulseIR(480);

delayMicroseconds(440);
pulseIR(500);

delayMicroseconds(440);
pulseIR(480);

delayMicroseconds(1420);
pulseIR(500);

delayMicroseconds(1420);
pulseIR(480);

delayMicroseconds(1440);
pulseIR(480);

delayMicroseconds(1420);
pulseIR(480);
}



void preset1(){ /////////////////////////////////////////////////////////////
  delayMicroseconds(6664);
pulseIR(940);

delayMicroseconds(1460);
pulseIR(460);

delayMicroseconds(1440);
pulseIR(480);

delayMicroseconds(1440);
pulseIR(460);

delayMicroseconds(1460);
pulseIR(460);

delayMicroseconds(480);
pulseIR(440);

delayMicroseconds(480);
pulseIR(460);

delayMicroseconds(480);
pulseIR(440);

delayMicroseconds(480);
pulseIR(460);

delayMicroseconds(460);
pulseIR(460);

delayMicroseconds(480);
pulseIR(460);

delayMicroseconds(460);
pulseIR(460);

delayMicroseconds(480);
pulseIR(460);

delayMicroseconds(1460);
pulseIR(440);

delayMicroseconds(1460);
pulseIR(460);

delayMicroseconds(1460);
pulseIR(460);

delayMicroseconds(1460);
pulseIR(440);

delayMicroseconds(1460);
pulseIR(460);

delay(50);
delayMicroseconds(400);
pulseIR(980);

delayMicroseconds(1460);
pulseIR(460);

delayMicroseconds(1460);
pulseIR(460);

delayMicroseconds(1440);
pulseIR(460);

delayMicroseconds(1460);
pulseIR(460);

delayMicroseconds(480);
pulseIR(440);

delayMicroseconds(480);
pulseIR(460);

delayMicroseconds(460);
pulseIR(460);

delayMicroseconds(480);
pulseIR(460);

delayMicroseconds(460);
pulseIR(480);

delayMicroseconds(460);
pulseIR(460);

delayMicroseconds(460);
pulseIR(480);

delayMicroseconds(460);
pulseIR(460);

delayMicroseconds(1460);
pulseIR(460);

delayMicroseconds(1440);
pulseIR(480);

delayMicroseconds(1440);
pulseIR(460);

delayMicroseconds(1460);
pulseIR(460);

delayMicroseconds(1440);
pulseIR(460);
}



void preset2(){ ////////////////////////////////////////////////////////////
  delayMicroseconds(51132);
pulseIR(980);

delayMicroseconds(1440);
pulseIR(480);

delayMicroseconds(440);
pulseIR(500);

delayMicroseconds(440);
pulseIR(500);

delayMicroseconds(420);
pulseIR(500);

delayMicroseconds(1420);
pulseIR(520);

delayMicroseconds(400);
pulseIR(500);

delayMicroseconds(440);
pulseIR(480);

delayMicroseconds(440);
pulseIR(500);

delayMicroseconds(460);
pulseIR(480);

delayMicroseconds(1400);
pulseIR(520);

delayMicroseconds(1400);
pulseIR(520);

delayMicroseconds(1400);
pulseIR(500);

delayMicroseconds(420);
pulseIR(520);

delayMicroseconds(1400);
pulseIR(500);

delayMicroseconds(1420);
pulseIR(500);

delayMicroseconds(1420);
pulseIR(500);

delayMicroseconds(1400);
pulseIR(480);

delay(50);
delayMicroseconds(400);
pulseIR(980);

delayMicroseconds(1420);
pulseIR(520);

delayMicroseconds(420);
pulseIR(520);

delayMicroseconds(400);
pulseIR(520);

delayMicroseconds(420);
pulseIR(520);

delayMicroseconds(1400);
pulseIR(480);

delayMicroseconds(440);
pulseIR(520);

delayMicroseconds(420);
pulseIR(500);

delayMicroseconds(420);
pulseIR(500);

delayMicroseconds(440);
pulseIR(500);

delayMicroseconds(1400);
pulseIR(500);

delayMicroseconds(1420);
pulseIR(500);

delayMicroseconds(1400);
pulseIR(520);

delayMicroseconds(420);
pulseIR(500);

delayMicroseconds(1420);
pulseIR(500);

delayMicroseconds(1400);
pulseIR(520);

delayMicroseconds(1400);
pulseIR(520);

delayMicroseconds(1380);
pulseIR(500);
}


void preset3(){ ///////////////////////////////////////////////////////
  delayMicroseconds(54084);
pulseIR(980);

delayMicroseconds(1440);
pulseIR(480);

delayMicroseconds(1420);
pulseIR(520);

delayMicroseconds(420);
pulseIR(480);

delayMicroseconds(440);
pulseIR(500);

delayMicroseconds(1420);
pulseIR(500);

delayMicroseconds(420);
pulseIR(500);

delayMicroseconds(440);
pulseIR(480);

delayMicroseconds(460);
pulseIR(480);

delayMicroseconds(440);
pulseIR(480);

delayMicroseconds(460);
pulseIR(480);

delayMicroseconds(1420);
pulseIR(500);

delayMicroseconds(1420);
pulseIR(500);

delayMicroseconds(420);
pulseIR(480);

delayMicroseconds(1440);
pulseIR(500);

delayMicroseconds(1420);
pulseIR(480);

delayMicroseconds(1420);
pulseIR(500);

delayMicroseconds(1420);
pulseIR(480);

delay(50);
delayMicroseconds(400);
pulseIR(980);

delayMicroseconds(1440);
pulseIR(480);

delayMicroseconds(1440);
pulseIR(480);

delayMicroseconds(440);
pulseIR(480);

delayMicroseconds(460);
pulseIR(480);

delayMicroseconds(1420);
pulseIR(500);

delayMicroseconds(440);
pulseIR(480);

delayMicroseconds(440);
pulseIR(480);

delayMicroseconds(460);
pulseIR(480);

delayMicroseconds(440);
pulseIR(480);

delayMicroseconds(460);
pulseIR(480);

delayMicroseconds(1420);
pulseIR(500);

delayMicroseconds(1420);
pulseIR(500);

delayMicroseconds(440);
pulseIR(480);

delayMicroseconds(1420);
pulseIR(500);

delayMicroseconds(1420);
pulseIR(480);

delayMicroseconds(1420);
pulseIR(500);

delayMicroseconds(1420);
pulseIR(480);

delay(50);
delayMicroseconds(400);
pulseIR(980);

delayMicroseconds(1440);
pulseIR(500);

delayMicroseconds(1420);
pulseIR(480);

delayMicroseconds(440);
pulseIR(500);

delayMicroseconds(440);
pulseIR(500);

delayMicroseconds(1400);
pulseIR(500);

delayMicroseconds(440);
pulseIR(480);

delayMicroseconds(440);
pulseIR(500);

delayMicroseconds(440);
pulseIR(480);

delayMicroseconds(440);
pulseIR(500);

delayMicroseconds(440);
pulseIR(480);

delayMicroseconds(1440);
pulseIR(480);

delayMicroseconds(1420);
pulseIR(480);

delayMicroseconds(460);
pulseIR(480);

delayMicroseconds(1420);
pulseIR(480);

delayMicroseconds(1440);
pulseIR(480);

delayMicroseconds(1440);
pulseIR(480);

delayMicroseconds(1420);
pulseIR(480);
}


void preset4(){ ////////////////////////////////////////////////////////////
  delayMicroseconds(45492);
pulseIR(940);

delayMicroseconds(1480);
pulseIR(460);

delayMicroseconds(460);
pulseIR(460);

delayMicroseconds(1460);
pulseIR(460);

delayMicroseconds(480);
pulseIR(440);

delayMicroseconds(1460);
pulseIR(460);

delayMicroseconds(480);
pulseIR(440);

delayMicroseconds(480);
pulseIR(460);

delayMicroseconds(480);
pulseIR(440);

delayMicroseconds(480);
pulseIR(460);

delayMicroseconds(1460);
pulseIR(440);

delayMicroseconds(480);
pulseIR(460);

delayMicroseconds(1460);
pulseIR(460);

delayMicroseconds(460);
pulseIR(460);

delayMicroseconds(1460);
pulseIR(460);

delayMicroseconds(1460);
pulseIR(440);

delayMicroseconds(1460);
pulseIR(460);

delayMicroseconds(1460);
pulseIR(460);

delay(50);
delayMicroseconds(400);
pulseIR(980);

delayMicroseconds(1480);
pulseIR(460);

delayMicroseconds(460);
pulseIR(460);

delayMicroseconds(1460);
pulseIR(460);

delayMicroseconds(460);
pulseIR(460);

delayMicroseconds(1460);
pulseIR(460);

delayMicroseconds(480);
pulseIR(460);

delayMicroseconds(460);
pulseIR(460);

delayMicroseconds(480);
pulseIR(460);

delayMicroseconds(460);
pulseIR(460);

delayMicroseconds(1460);
pulseIR(460);

delayMicroseconds(460);
pulseIR(460);

delayMicroseconds(1460);
pulseIR(460);

delayMicroseconds(460);
pulseIR(480);

delayMicroseconds(1440);
pulseIR(460);

delayMicroseconds(1460);
pulseIR(460);

delayMicroseconds(1460);
pulseIR(460);

delayMicroseconds(1440);
pulseIR(460);

delay(50);
delayMicroseconds(400);
pulseIR(980);

delayMicroseconds(1460);
pulseIR(460);

delayMicroseconds(480);
pulseIR(460);

delayMicroseconds(1440);
pulseIR(460);

delayMicroseconds(480);
pulseIR(460);

delayMicroseconds(1440);
pulseIR(460);

delayMicroseconds(480);
pulseIR(460);

delayMicroseconds(460);
pulseIR(460);

delayMicroseconds(480);
pulseIR(460);

delayMicroseconds(460);
pulseIR(460);

delayMicroseconds(1460);
pulseIR(460);

delayMicroseconds(480);
pulseIR(440);

delayMicroseconds(1460);
pulseIR(460);

delayMicroseconds(480);
pulseIR(460);

delayMicroseconds(1440);
pulseIR(460);

delayMicroseconds(1460);
pulseIR(460);

delayMicroseconds(1460);
pulseIR(460);

delayMicroseconds(1440);
pulseIR(460);
}



void preset5(){ //////////////////////////////////////////////////////////////
  delayMicroseconds(42944);
pulseIR(980);

delayMicroseconds(1440);
pulseIR(460);

delayMicroseconds(1440);
pulseIR(480);

delayMicroseconds(1440);
pulseIR(460);

delayMicroseconds(460);
pulseIR(480);

delayMicroseconds(1440);
pulseIR(460);

delayMicroseconds(460);
pulseIR(480);

delayMicroseconds(460);
pulseIR(460);

delayMicroseconds(480);
pulseIR(440);

delayMicroseconds(480);
pulseIR(460);

delayMicroseconds(480);
pulseIR(440);

delayMicroseconds(480);
pulseIR(460);

delayMicroseconds(1460);
pulseIR(440);

delayMicroseconds(480);
pulseIR(460);

delayMicroseconds(1460);
pulseIR(440);

delayMicroseconds(1480);
pulseIR(440);

delayMicroseconds(1460);
pulseIR(460);

delayMicroseconds(1460);
pulseIR(440);

delay(50);
delayMicroseconds(400);
pulseIR(980);

delayMicroseconds(1420);
pulseIR(520);

delayMicroseconds(1400);
pulseIR(500);

delayMicroseconds(1400);
pulseIR(520);

delayMicroseconds(420);
pulseIR(520);

delayMicroseconds(1400);
pulseIR(480);

delayMicroseconds(440);
pulseIR(500);

delayMicroseconds(440);
pulseIR(500);

delayMicroseconds(420);
pulseIR(500);

delayMicroseconds(440);
pulseIR(500);

delayMicroseconds(420);
pulseIR(500);

delayMicroseconds(440);
pulseIR(480);

delayMicroseconds(1420);
pulseIR(500);

delayMicroseconds(440);
pulseIR(480);

delayMicroseconds(1420);
pulseIR(520);

delayMicroseconds(1400);
pulseIR(500);

delayMicroseconds(1420);
pulseIR(500);

delayMicroseconds(1400);
pulseIR(500);

delay(50);
delayMicroseconds(400);
pulseIR(980);

delayMicroseconds(1440);
pulseIR(500);

delayMicroseconds(1400);
pulseIR(500);

delayMicroseconds(1420);
pulseIR(520);

delayMicroseconds(420);
pulseIR(500);

delayMicroseconds(1400);
pulseIR(500);

delayMicroseconds(440);
pulseIR(500);

delayMicroseconds(420);
pulseIR(500);

delayMicroseconds(440);
pulseIR(480);

delayMicroseconds(440);
pulseIR(500);

delayMicroseconds(440);
pulseIR(500);

delayMicroseconds(420);
pulseIR(500);

delayMicroseconds(1420);
pulseIR(500);

delayMicroseconds(440);
pulseIR(480);

delayMicroseconds(1420);
pulseIR(480);

delayMicroseconds(1440);
pulseIR(480);

delayMicroseconds(1440);
pulseIR(480);

delayMicroseconds(1420);
pulseIR(500);
}



void preset6(){ /////////////////////////////////////////////////////////
  delayMicroseconds(15084);
pulseIR(980);

delayMicroseconds(1440);
pulseIR(480);

delayMicroseconds(440);
pulseIR(500);

delayMicroseconds(440);
pulseIR(480);

delayMicroseconds(1420);
pulseIR(520);

delayMicroseconds(1400);
pulseIR(500);

delayMicroseconds(420);
pulseIR(520);

delayMicroseconds(420);
pulseIR(500);

delayMicroseconds(420);
pulseIR(520);

delayMicroseconds(420);
pulseIR(500);

delayMicroseconds(1420);
pulseIR(500);

delayMicroseconds(1400);
pulseIR(500);

delayMicroseconds(440);
pulseIR(500);

delayMicroseconds(420);
pulseIR(500);

delayMicroseconds(1420);
pulseIR(500);

delayMicroseconds(1400);
pulseIR(520);

delayMicroseconds(1400);
pulseIR(520);

delayMicroseconds(1380);
pulseIR(520);

delay(50);
delayMicroseconds(400);
pulseIR(980);

delayMicroseconds(1440);
pulseIR(520);

delayMicroseconds(400);
pulseIR(520);

delayMicroseconds(420);
pulseIR(500);

delayMicroseconds(1400);
pulseIR(520);

delayMicroseconds(1400);
pulseIR(520);

delayMicroseconds(400);
pulseIR(520);

delayMicroseconds(420);
pulseIR(520);

delayMicroseconds(400);
pulseIR(520);

delayMicroseconds(420);
pulseIR(520);

delayMicroseconds(1400);
pulseIR(500);

delayMicroseconds(1400);
pulseIR(520);

delayMicroseconds(420);
pulseIR(500);

delayMicroseconds(420);
pulseIR(520);

delayMicroseconds(1400);
pulseIR(500);

delayMicroseconds(1420);
pulseIR(500);

delayMicroseconds(1400);
pulseIR(520);

delayMicroseconds(1400);
pulseIR(520);

delay(50);
delayMicroseconds(400);
pulseIR(980);

delayMicroseconds(1420);
pulseIR(500);

delayMicroseconds(420);
pulseIR(500);

delayMicroseconds(440);
pulseIR(500);

delayMicroseconds(1420);
pulseIR(500);

delayMicroseconds(1400);
pulseIR(500);

delayMicroseconds(460);
pulseIR(460);

delayMicroseconds(440);
pulseIR(520);

delayMicroseconds(420);
pulseIR(480);

delayMicroseconds(440);
pulseIR(500);

delayMicroseconds(1420);
pulseIR(480);

delayMicroseconds(1420);
pulseIR(520);

delayMicroseconds(420);
pulseIR(500);

delayMicroseconds(420);
pulseIR(500);

delayMicroseconds(1420);
pulseIR(500);

delayMicroseconds(1420);
pulseIR(480);

delayMicroseconds(1420);
pulseIR(520);

delayMicroseconds(1400);
pulseIR(500);
}



void tuneUp(){ /////////////////////////////////////////////////////////////
  delayMicroseconds(10116);
pulseIR(920);

delayMicroseconds(1480);
pulseIR(440);

delayMicroseconds(480);
pulseIR(460);

delayMicroseconds(480);
pulseIR(460);

delayMicroseconds(460);
pulseIR(460);

delayMicroseconds(1460);
pulseIR(460);

delayMicroseconds(1440);
pulseIR(480);

delayMicroseconds(460);
pulseIR(460);

delayMicroseconds(1460);
pulseIR(460);

delayMicroseconds(460);
pulseIR(480);

delayMicroseconds(1440);
pulseIR(460);

delayMicroseconds(1460);
pulseIR(460);

delayMicroseconds(1440);
pulseIR(460);

delayMicroseconds(480);
pulseIR(460);

delayMicroseconds(460);
pulseIR(460);

delayMicroseconds(1460);
pulseIR(460);

delayMicroseconds(480);
pulseIR(460);

delayMicroseconds(1440);
pulseIR(460);

delay(50);
delayMicroseconds(400);
pulseIR(980);

delayMicroseconds(1420);
pulseIR(520);

delayMicroseconds(420);
pulseIR(500);

delayMicroseconds(420);
pulseIR(500);

delayMicroseconds(440);
pulseIR(500);

delayMicroseconds(1400);
pulseIR(500);

delayMicroseconds(1420);
pulseIR(500);

delayMicroseconds(440);
pulseIR(480);

delayMicroseconds(1420);
pulseIR(500);

delayMicroseconds(440);
pulseIR(500);

delayMicroseconds(1400);
pulseIR(520);

delayMicroseconds(1400);
pulseIR(480);

delayMicroseconds(1440);
pulseIR(480);

delayMicroseconds(440);
pulseIR(500);

delayMicroseconds(440);
pulseIR(480);

delayMicroseconds(1420);
pulseIR(520);

delayMicroseconds(420);
pulseIR(500);

delayMicroseconds(1400);
pulseIR(500);
}


void tuneDown(){ ////////////////////////////////////////////////////////////
  delayMicroseconds(23048);
pulseIR(940);

delayMicroseconds(1480);
pulseIR(440);

delayMicroseconds(1460);
pulseIR(460);

delayMicroseconds(1460);
pulseIR(460);

delayMicroseconds(1460);
pulseIR(440);

delayMicroseconds(480);
pulseIR(460);

delayMicroseconds(1460);
pulseIR(460);

delayMicroseconds(460);
pulseIR(460);

delayMicroseconds(1460);
pulseIR(460);

delayMicroseconds(460);
pulseIR(480);

delayMicroseconds(460);
pulseIR(460);

delayMicroseconds(460);
pulseIR(480);

delayMicroseconds(460);
pulseIR(460);

delayMicroseconds(1440);
pulseIR(480);

delayMicroseconds(460);
pulseIR(460);

delayMicroseconds(1460);
pulseIR(460);

delayMicroseconds(460);
pulseIR(460);

delayMicroseconds(1460);
pulseIR(460);

delay(50);
delayMicroseconds(400);
pulseIR(980);

delayMicroseconds(1460);
pulseIR(480);

delayMicroseconds(1440);
pulseIR(460);

delayMicroseconds(1460);
pulseIR(460);

delayMicroseconds(1460);
pulseIR(460);

delayMicroseconds(460);
pulseIR(460);

delayMicroseconds(1460);
pulseIR(440);

delayMicroseconds(480);
pulseIR(460);

delayMicroseconds(1460);
pulseIR(440);

delayMicroseconds(500);
pulseIR(440);

delayMicroseconds(480);
pulseIR(460);

delayMicroseconds(460);
pulseIR(480);

delayMicroseconds(460);
pulseIR(460);

delayMicroseconds(1460);
pulseIR(480);

delayMicroseconds(440);
pulseIR(480);

delayMicroseconds(1440);
pulseIR(480);

delayMicroseconds(440);
pulseIR(480);

delayMicroseconds(1440);
pulseIR(480);

delay(50);
delayMicroseconds(400);
pulseIR(980);

delayMicroseconds(1420);
pulseIR(500);

delayMicroseconds(1400);
pulseIR(520);

delayMicroseconds(1400);
pulseIR(500);

delayMicroseconds(1420);
pulseIR(480);

delayMicroseconds(440);
pulseIR(520);

delayMicroseconds(1400);
pulseIR(500);

delayMicroseconds(420);
pulseIR(520);

delayMicroseconds(1400);
pulseIR(500);

delayMicroseconds(420);
pulseIR(520);

delayMicroseconds(420);
pulseIR(500);

delayMicroseconds(420);
pulseIR(500);

delayMicroseconds(440);
pulseIR(500);

delayMicroseconds(1420);
pulseIR(500);

delayMicroseconds(420);
pulseIR(520);

delayMicroseconds(1400);
pulseIR(520);

delayMicroseconds(420);
pulseIR(480);

delayMicroseconds(1420);
pulseIR(500);
}




void mute(){ /////////////////////////////////////////////////////////////////
  delayMicroseconds(25756);
pulseIR(940);

delayMicroseconds(1460);
pulseIR(460);

delayMicroseconds(1460);
pulseIR(460);

delayMicroseconds(460);
pulseIR(460);

delayMicroseconds(480);
pulseIR(460);

delayMicroseconds(460);
pulseIR(460);

delayMicroseconds(480);
pulseIR(460);

delayMicroseconds(460);
pulseIR(460);

delayMicroseconds(480);
pulseIR(460);

delayMicroseconds(480);
pulseIR(440);

delayMicroseconds(480);
pulseIR(460);

delayMicroseconds(1460);
pulseIR(460);

delayMicroseconds(1440);
pulseIR(460);

delayMicroseconds(1460);
pulseIR(460);

delayMicroseconds(1460);
pulseIR(460);

delayMicroseconds(1440);
pulseIR(460);

delayMicroseconds(1460);
pulseIR(460);

delayMicroseconds(1440);
pulseIR(460);

delay(50);
delayMicroseconds(400);
pulseIR(980);

delayMicroseconds(1460);
pulseIR(460);

delayMicroseconds(1460);
pulseIR(440);

delayMicroseconds(480);
pulseIR(460);

delayMicroseconds(480);
pulseIR(440);

delayMicroseconds(480);
pulseIR(460);

delayMicroseconds(480);
pulseIR(440);

delayMicroseconds(480);
pulseIR(460);

delayMicroseconds(480);
pulseIR(440);

delayMicroseconds(480);
pulseIR(460);

delayMicroseconds(480);
pulseIR(440);

delayMicroseconds(1460);
pulseIR(460);

delayMicroseconds(1460);
pulseIR(460);

delayMicroseconds(1440);
pulseIR(480);

delayMicroseconds(1440);
pulseIR(460);

delayMicroseconds(1460);
pulseIR(460);

delayMicroseconds(1440);
pulseIR(480);

delayMicroseconds(1440);
pulseIR(460);

delay(50);
delayMicroseconds(400);
pulseIR(980);

delayMicroseconds(1440);
pulseIR(500);

delayMicroseconds(1400);
pulseIR(520);

delayMicroseconds(420);
pulseIR(500);

delayMicroseconds(420);
pulseIR(520);

delayMicroseconds(420);
pulseIR(500);

delayMicroseconds(420);
pulseIR(520);

delayMicroseconds(420);
pulseIR(500);

delayMicroseconds(420);
pulseIR(500);

delayMicroseconds(440);
pulseIR(480);

delayMicroseconds(440);
pulseIR(500);

delayMicroseconds(1420);
pulseIR(500);

delayMicroseconds(1420);
pulseIR(500);

delayMicroseconds(1400);
pulseIR(520);

delayMicroseconds(1400);
pulseIR(520);

delayMicroseconds(1400);
pulseIR(500);

delayMicroseconds(1400);
pulseIR(500);

delayMicroseconds(1420);
pulseIR(500);
}
